#119 Attribute lacking in MANIFEST.MF

1.18
pending-accepted
nobody
None
3
2016-05-17
2014-02-25
Stéphane C
No

Hi,

We experiment an issue using jacob inside an applet.
Since the 7U45 of java, the MANIFEST of a jar used inside an applet must be complete.
3 attributes are lacking in the MANIFEST of jacob V1.15 :

Trusted-Library : true
Application-Name : AS you want !
Permissions : all-permissions (or less if you want to be precise)
Codebase : *

see : http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/manifest.html

Without these attributes, the JRE refuse to execute an applet containing jacob.
Could you please fix that in order to make jacob usable inside an applet ?

Thanx.

Related

Bugs: #119

Discussion

  • clay_shooter

    clay_shooter - 2014-03-23

    You said 3 attributes but posted 4. Do we need all 4?

     
  • clay_shooter

    clay_shooter - 2014-03-23
    • status: open --> pending-accepted
     
  • clay_shooter

    clay_shooter - 2014-03-23

    Moving this to 1.18 since that is where the manifest fix will show up

     
  • clay_shooter

    clay_shooter - 2014-03-23
    • Group: 1.15 --> 1.18
     
  • Jeff

    Jeff - 2014-05-19

    Hi,

    When will 1.18 is scheduled to be released? We are expecting this permission issue to be fix as soon as possible.

     
  • clay_shooter

    clay_shooter - 2014-05-19

    Sorry I forgot all about this and thought I had already posted it as a milestone. I'll try and look at it this week...

     
  • Stéphane C

    Stéphane C - 2014-05-28

    Hi,

                Sorry for the delay, a lot of work these days…
    

    We didn’t have time to test it, we’ll have a look before the end of the week.

    Thanks,

    Stéphane Cerra
    Responsable des développements Framework
    Direction des développements / Architecture

    De : clay_shooter [mailto:clay_shooter@users.sf.net]
    Envoyé : mercredi 28 mai 2014 02:02
    À : [jacob-project:bugs]
    Objet : [jacob-project:bugs] Re: #119 Attribute lacking in MANIFEST.MF

    Did the 1.18 M1 work for you?


    [bugs:#119]http://sourceforge.net/p/jacob-project/bugs/119/ Attribute lacking in MANIFEST.MF

    Status: pending-accepted
    Group: 1.18
    Created: Tue Feb 25, 2014 02:05 PM UTC by Stéphane C
    Last Updated: Mon May 19, 2014 02:39 PM UTC
    Owner: nobody

    Hi,

    We experiment an issue using jacob inside an applet.
    Since the 7U45 of java, the MANIFEST of a jar used inside an applet must be complete.
    3 attributes are lacking in the MANIFEST of jacob V1.15 :

    Trusted-Library : true
    Application-Name : AS you want !
    Permissions : all-permissions (or less if you want to be precise)
    Codebase : *

    see : http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/manifest.html

    Without these attributes, the JRE refuse to execute an applet containing jacob.
    Could you please fix that in order to make jacob usable inside an applet ?

    Thanx.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/jacob-project/bugs/119/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #119

  • Stéphane C

    Stéphane C - 2014-05-28

    Hi,
    Sorry if I am wrong but I can’t see any of the attributes I mentioned in my request in the MANIFEST of the 1.18MI
    So it can’t work as in an applet inside a java 7U45 plugin.

                Did I miss something ?
    

    Stéphane Cerra
    Responsable des développements Framework
    Direction des développements / Architecture

    De : clay_shooter [mailto:clay_shooter@users.sf.net]
    Envoyé : mercredi 28 mai 2014 02:02
    À : [jacob-project:bugs]
    Objet : [jacob-project:bugs] Re: #119 Attribute lacking in MANIFEST.MF

    Did the 1.18 M1 work for you?


    [bugs:#119]http://sourceforge.net/p/jacob-project/bugs/119/ Attribute lacking in MANIFEST.MF

    Status: pending-accepted
    Group: 1.18
    Created: Tue Feb 25, 2014 02:05 PM UTC by Stéphane C
    Last Updated: Mon May 19, 2014 02:39 PM UTC
    Owner: nobody

    Hi,

    We experiment an issue using jacob inside an applet.
    Since the 7U45 of java, the MANIFEST of a jar used inside an applet must be complete.
    3 attributes are lacking in the MANIFEST of jacob V1.15 :

    Trusted-Library : true
    Application-Name : AS you want !
    Permissions : all-permissions (or less if you want to be precise)
    Codebase : *

    see : http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/manifest.html

    Without these attributes, the JRE refuse to execute an applet containing jacob.
    Could you please fix that in order to make jacob usable inside an applet ?

    Thanx.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/jacob-project/bugs/119/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #119

    • clay_shooter

      clay_shooter - 2014-05-28

      I tried to pull back my post about it being in 1.18M1 because the attributes weren't there. I just pushed 1.18M2 this morning. Hopefully the required attributes were there.

      I built the code on a new machine. I think the new 1.18-M2 requires Vista or later or probably Server 2008 or later.

       
      • Stéphane C

        Stéphane C - 2014-05-28

        OK I can see the MANIFEST is OK. Thanks.

        The fact that this release could need Vista or windows 2008 is quiet annoying. No chance to backport this feature on a previous version ?

        Stéphane Cerra
        Responsable des développements Framework
        Direction des développements / Architecture

        De : clay_shooter [mailto:clay_shooter@users.sf.net]
        Envoyé : mercredi 28 mai 2014 15:01
        À : [jacob-project:bugs]
        Objet : [jacob-project:bugs] Re: #119 Attribute lacking in MANIFEST.MF

        I tried to pull back my post about it being in 1.18M1 because the attributes weren't there. I just pushed 1.18M2 this morning. Hopefully the required attributes were there.

        I built the code on a new machine. I think the new 1.18-M2 requires Vista or later or probably Server 2008 or later.


        [bugs:#119]http://sourceforge.net/p/jacob-project/bugs/119/ Attribute lacking in MANIFEST.MF

        Status: pending-accepted
        Group: 1.18
        Created: Tue Feb 25, 2014 02:05 PM UTC by Stéphane C
        Last Updated: Mon May 19, 2014 02:39 PM UTC
        Owner: nobody

        Hi,

        We experiment an issue using jacob inside an applet.
        Since the 7U45 of java, the MANIFEST of a jar used inside an applet must be complete.
        3 attributes are lacking in the MANIFEST of jacob V1.15 :

        Trusted-Library : true
        Application-Name : AS you want !
        Permissions : all-permissions (or less if you want to be precise)
        Codebase : *

        see : http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/manifest.html

        Without these attributes, the JRE refuse to execute an applet containing jacob.
        Could you please fix that in order to make jacob usable inside an applet ?

        Thanx.


        Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/jacob-project/bugs/119/

        To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #119

  • clay_shooter

    clay_shooter - 2014-05-28

    I don't actually know how far back is supported because I don't fully understand the impact of the 71 switch in this build. The only way to build "older" for me is to build a "new" VS2010 machine and build against those libraries.

    I don't have full set of older VMs to test with. I was guessing Vista vintage machines because they can take the updates but I really don't know. That said, I'm not really going to worry about XP now that its a bazillion years and supposed to be dead.

     
  • tbeu

    tbeu - 2016-03-29

    So, this ticket can be closed then with 1.18 being released?

     
  • Sebastian Schulthess

    Didn't work for us.

    We had to remove the emtpy line in the MANIFEST.MF file, otherwise the java jarsigner would interpret the classes under activeX not the same as the com classes.

    Remove the empty line made our application work again with Java 1.8.91,

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks